PCP_DETACH_NODE(1)

NAME
pcp_detach_node - detaches the given node from Pgpool-II. Existing connections to Pgpool-II are forced to be disconnected.

SYNOPSIS

pcp_detach_node [options...] [node_id] [gracefully]

DESCRIPTION

pcp_detach_node detaches the given node from Pgpool-II. If failover_command and/or follow_primary_command are specified, they are executed too. Existing connections to Pgpool-II are forced to be disconnected.

pcp_detach_node just detaches the node, and does not touch running backend behind the node. This command is useful when admin needs to maintain the PostgreSQL node. He/she can shutdown or stop the backend as many times as he/she wants.

The safest way to re-attach the detached node is, stopping the backend and apply pcp_recovery_node(1). However if you are sure that there's no replication delay (or the delay will be recovered later on) and the role of the node (primary/standby) will not be changed, you can use pcp_attach_node(1).

OPTIONS

-n node_id
--node_id=node_id
    The index of backend node to detach.

-g
--gracefully
    wait until all clients are disconnected (unless client_idle_limit_in_recovery is -1 or recovery_timeout is expired).

Other options
    See pcp_common_options(1).